summaryrefslogtreecommitdiff
path: root/tests/tests/absurd-gitapply
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/absurd-gitapply')
-rwxr-xr-xtests/tests/absurd-gitapply17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/tests/absurd-gitapply b/tests/tests/absurd-gitapply
new file mode 100755
index 0000000..62eb190
--- /dev/null
+++ b/tests/tests/absurd-gitapply
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+. tests/lib
+t-tstunt-parsechangelog
+
+t-archive example 1.0-1+absurd
+t-git-none
+
+t-expect-fail 'gbp pq import failed' \
+t-dgit --force-import-gitapply-no-absurd clone $p
+
+t-dgit clone $p
+
+cd $p
+grep moo moo
+
+t-ok